Does concordium desktop wallet support the Ledger Nano X? now

does concordium desktop wallet support the Ledger Nano X?

concordiumnet: testnet

firmware version: 2.0.2

concordium-ledger-app-2.0.1-target-2.0.0
concordium-ledger-app-2.0.3-target-2.1.0
I had tried all versions of the concordium-ledger-app, but the same error is occurring?

./loadcertificate.sh
Generated random root public key : b'04e74d20a2b334553b537d0b243dbcaf1daa75dc25bec21c8ff708da27da8ade9a026df51661ef332a3e2466c76946320879dc6e8fb722756b31a65d0f64eb3a0f'
Traceback (most recent call last):
  File "/usr/local/Cellar/python@3.9/3.9.12/Frameworks/Python.framework/Versions/3.9/lib/python3.9/runpy.py", line 197, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/local/Cellar/python@3.9/3.9.12/Frameworks/Python.framework/Versions/3.9/lib/python3.9/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/usr/local/lib/python3.9/site-packages/ledgerblue/setupCustomCA.py", line 57, in <module>
    secret = getDeployedSecretV2(dongle, bytearray.fromhex(args.rootPrivateKey), args.targetId)
  File "/usr/local/lib/python3.9/site-packages/ledgerblue/deployed.py", line 88, in getDeployedSecretV2
    dongle.exchange(apdu)
  File "/usr/local/lib/python3.9/site-packages/ledgerblue/comm.py", line 145, in exchange
    raise CommException("Invalid status %04x (%s)" % (sw, possibleCause), sw, response)
ledgerblue.commException.CommException: Exception : Invalid status 6814 (Unknown reason)

Not at the moment since Nano X does not support side-loading apps in the way Nano S does.

We have submitted the ledger app for approval so that Nano X users can load it, however it has still not been approved.